% Martin Luther
% Vater unser im Himmelreich
% (arr.: Sebastian Krause)

% Lilypond-Version zum Anpassen von Sebastian Krause 2017
% Kontakt: sebkrause@sebkrause.de
% Dieses Werk steht unter der freien CC-BY-SA-Lizenz (s.u.).

\version "2.18.2"
\include "deutsch.ly"



% ----------------------------------
% -------- ANPASSUNGEN -------------
% ----------------------------------
% ---- Hier können Schlüssel und ---
% ----- Tonart geändert werden -----
% ----------------------------------


% TRANSPOSITION
% -------------
% Soll das Stück von d-moll transponiert werden,
% bitte die Zieltonart hier einsetzen.
% Standardwert (ohne Transposition): d
% Mögliche Werte: c ces cis des dis e es eis f fes fis
% g ges gis a as ais b h his
% Außerdem geht Oktavierung:
% runter mit g, oder g,, usw., auch f, oder gis,
% hoch mit g' oder g'' usw., auch f' oder gis'

TransposeFromD = d

% SCHLÜSSEL
% ---------
% Hier gibt es die Möglichkeit, die Schlüssel der Systeme (in Stimme und Partitur) zu ändern.
% Mögliche Werte: treble (Violinschl.), treble_8 (oktav. Violinschl.),
% bass, alto, tenor, soprano, baritone, mezzosoprano

KeyFl = 		{ \clef "treble" }	% Flöte
KeyZn = 		{ \clef "treble" }	% Zink
KeyVdG = 	{ \clef "treble_8" }	% Gambe
KeyPos = 	{ \clef "treble_8" }	% Posaune
KeyLt = 		{ \clef "treble" }	% Laute
KeyCol = 	{ \clef "bass" }		% Colascione

KeySA = 	{ \clef "treble" }	% Sopran / Alt
KeyAlt = 	{ \clef "treble" }	% Alt
KeyTenor = 	{ \clef "treble_8" }	% Tenor
KeyBarB = 	{ \clef "bass" }		% Bariton / Bass

% GRÖßE
% -----
% Hier kann man die Schriftgrößen von Partitur und Stimmen anpassen.

SizePartitur = 14
SizeStimmen  = 20

% ----------------------------------
% --- ENDE Anpassungen -------------
% ----------------------------------





% ---------------------
% Titel, Komponist etc.
% Beschriftungen S. 1--
% ---------------------


#(define (not-part-first-page layout props arg)
   (if (= (chain-assoc-get 'page:page-number props -1)
          (ly:output-def-lookup layout 'first-page-number))
       empty-stencil
       (interpret-markup layout props arg)))


\header 
{
    title = "Vater unser im Himmelreich"
    composer = \markup {
        \right-column {
            "Text: Martin Luther 1539"
            "Melodie: Salzburg 1396"
            "Musik: Sebastian Krause"
        }
    }
}
KopfzeileStückbezeichnung = "Krause: Vater unser im Himmelreich"

% ---------------------
% Seiteneinstellungen--
% vor allem Kopfzeilen-
% ---------------------

\paper 
{
    #(set-paper-size "a4")
    top-margin = 12\mm
    bottom-margin = 10\mm
    right-margin = 15\mm
    left-margin = 15\mm
    ragged-last-bottom = ##f 
    %Kopfzeile
    first-page-number = #1
    print-page-number = ##t
    print-first-page-number = ##f
    oddHeaderMarkup = \markup 
    {
        \column 
        {
            \fill-line 
            {
                \line 
                {
                    \on-the-fly #not-part-first-page  \epsfile #X #10 #"by-sa.eps" 
                }
                \line 
                {
                    \on-the-fly #not-single-page \on-the-fly #not-part-first-page 
                    { 
                        \abs-fontsize #9
                        {
                            Seite \on-the-fly #print-page-number-check-first \fromproperty #'page:page-number-string 
                        } 
                    }
                }
                \line 
                {
                    \on-the-fly #not-single-page 
                    {
                        \abs-fontsize #9 
                        {
                            \KopfzeileStückbezeichnung
                        }
                    }
                }
            }
            \null
        }
    }
    evenHeaderMarkup = \oddHeaderMarkup
    oddFooterMarkup = \markup 
    { 
        \on-the-fly #part-first-page 
        {
            \center-column
            {
                \vspace #2
                \abs-fontsize #9 \justify 
                {
                            Dieses Werk ist unter einer Creative Commons Lizenz 
                            vom Typ Namensnennung - Weitergabe unter gleichen 
                            Bedingungen 4.0 International zugänglich. Um eine 
                            Kopie dieser Lizenz einzusehen, konsultieren Sie 
                            http://creativecommons.org/licenses/by-sa/4.0/ oder 
                            wenden Sie sich brieflich an Creative Commons, 
                            Postfach 1866, Mountain View, California, 94042, USA.
                }
                \epsfile #X #12 #"by-sa.eps"
            }
        }
    }
}

% Funktion zum automatischen Verschmelzen von Pausen

#(define (rest-score r)
  (let ((score 0)
	(yoff (ly:grob-property-data r 'Y-offset))
	(sp (ly:grob-property-data r 'staff-position)))
    (if (number? yoff)
	(set! score (+ score 2))
	(if (eq? yoff 'calculation-in-progress)
	    (set! score (- score 3))))
    (and (number? sp)
	 (<= 0 2 sp)
	 (set! score (+ score 2))
	 (set! score (- score (abs (- 1 sp)))))
    score))

#(define (merge-rests-on-positioning grob)
  (let* ((can-merge #f)
	 (elts (ly:grob-object grob 'elements))
	 (num-elts (and (ly:grob-array? elts)
			(ly:grob-array-length elts)))
	 (two-voice? (= num-elts 2)))
    (if two-voice?
	(let* ((v1-grob (ly:grob-array-ref elts 0))
	       (v2-grob (ly:grob-array-ref elts 1))
	       (v1-rest (ly:grob-object v1-grob 'rest))
	       (v2-rest (ly:grob-object v2-grob 'rest)))
	  (and
	   (ly:grob? v1-rest)
	   (ly:grob? v2-rest)	     	   
	   (let* ((v1-duration-log (ly:grob-property v1-rest 'duration-log))
		  (v2-duration-log (ly:grob-property v2-rest 'duration-log))
		  (v1-dot (ly:grob-object v1-rest 'dot))
		  (v2-dot (ly:grob-object v2-rest 'dot))
		  (v1-dot-count (and (ly:grob? v1-dot)
				     (ly:grob-property v1-dot 'dot-count -1)))
		  (v2-dot-count (and (ly:grob? v2-dot)
				     (ly:grob-property v2-dot 'dot-count -1))))
	     (set! can-merge
		   (and 
		    (number? v1-duration-log)
		    (number? v2-duration-log)
		    (= v1-duration-log v2-duration-log)
		    (eq? v1-dot-count v2-dot-count)))
	     (if can-merge
		 ;; keep the rest that looks best:
		 (let* ((keep-v1? (>= (rest-score v1-rest)
				      (rest-score v2-rest)))
			(rest-to-keep (if keep-v1? v1-rest v2-rest))
			(dot-to-kill (if keep-v1? v2-dot v1-dot)))
		   ;; uncomment if you're curious of which rest was chosen:
		   ;;(ly:grob-set-property! v1-rest 'color green)
		   ;;(ly:grob-set-property! v2-rest 'color blue)
		   (ly:grob-suicide! (if keep-v1? v2-rest v1-rest))
		   (if (ly:grob? dot-to-kill)
		       (ly:grob-suicide! dot-to-kill))
		   (ly:grob-set-property! rest-to-keep 'direction 0)
		   (ly:rest::y-offset-callback rest-to-keep)))))))
    (if can-merge
	#t
	(ly:rest-collision::calc-positioning-done grob))))



% ----------------------------------
% ----------NOTENTEXT---------------
% ----------------------------------


% ---------------------
% Globale Einstellungen
% werden jeder Stimme--
% zu Beginn angefügt---
% (im score-Abschnitt)-
% ---------------------

global = 
{
    \numericTimeSignature
    \set Score.markFormatter = #format-mark-box-numbers
    %\autoBeamOff
    \key d \minor %Tonart
    \time 2/2 	 %Taktart
    \override DynamicTextSpanner.style = #'none
    \set Score.quotedCueEventTypes = #'(note-event rest-event tie-event
                                      beam-event tuplet-span-event
                                      dynamic-event slur-event 
                                      lyric-event)
}

globalMarks = 
{
    \tempo 2 = 56
    \override Score.RehearsalMark padding = #2.0
    s1*8 
    \mark \markup { \box { \bold \large "Str. 1" } } \bar "||"
    \repeat unfold 7 { \time 3/2 s1. \time 2/2 s1 }
    \mark \markup { \box { \bold \large "Str. 2" } } \bar "||"
    \repeat unfold 7 { \time 3/2 s1. \time 2/2 s1 }
    \mark \markup { \box { \bold \large "Str. 4" } } \bar "||"
    \time 3/2 s1.*13
    \mark \markup { \box { \bold \large "Str. 6" } } \bar "||"
    \repeat unfold 6 { \time 3/2 s1. \time 2/2 s1 }
    s1*5
    \mark \markup { \box { \bold \large "Str. 8" } } \bar "||"
    s1*15 \time 3/2 s1. \time 2/2 s1*11
    \mark \markup { \box { \bold \large "Str. 9" } } \bar "||"
    \repeat unfold 5 { \time 3/2 s1. \time 2/2 s1 }
    \time 4/2 s1*2 | \time 2/2 s1*7 \bar "|."
}

PsCen = { \override MultiMeasureRest.staff-position = #2 }
PsNor = { \revert MultiMeasureRest.staff-position }

% ---------------------
% Noten----------------
% ---------------------

NotenFlöte = \relative c'' 
{
    % Hier die Flöten-Noten
    R1 | r2 f4\f g | a a2. | R1*2 | r4 g b a | g f2 r4 | r2 a,\mf
    a4 r r2 r | d,1\p | c4 r r2 r | e2 f | g4 r r2 r |
    a2\cresc h | c4 r r2 r | cis2 d e4 r r2 r | f\mf fis |
    g4 a f g f e | d2 a\mp | b4 a f g f e | d2 a'\mf | a4 f g a f e | d2 a' |
    a4 g c a f g | a2 a | c4 d f e d cis | d2 d | e4 d c h a gis |
    a2\breathe d | c4 h c a a g | f2 a | b?4 a f g f e | d2 r |
    R1. | R1 | d'2-.--\mf cis-.-- c-.-- | h-.-- c-.-- cis-.-- |
    c!4 h b2-.-- a-.-- | a-.-- r a\f |  c4 d f e d cis |
    d1 d2 | e4 d c h a gis | a2 r r | 
    c-.--\mf c-.-- c-.-- | a-.-- c-.-- d-.-- | b-.-- d-.-- cis-.-- |
    d-.--\> d-.-- cis-.-- | d1\! r2 | 
    \repeat unfold 5 { R1. R1 }
    R1. R1 r2 a\mp
    c8 b a g f4 g8 a | f4 e8 d e2 | d1 | r2 a'\f | a4 f a h~ | h2 cis4 cis | d1 | r2 a |
    b4 b b b~ | b2 des4 des | c1 | R1*7 |
    r2 d\p | c4 h c a a g | f2 a | b4 a f g | f2 e |
    d2. r4 | R1 | r2 f'4\mf g | a a2 r4 | R1 | r4 g b a | g f2 r4 | r2 a, |
    a4 f g a f e | d2 a' | a4 g c a f g | a2 a | c4 d f e d cis |
    d2 d | e4 d c h a gis | a2 d | c4 h c a a g | f2 a |
    b?4 a f g f2 e | d1 | r2 f'4 g | a a2 r4 | r2 \tuplet 3/2 { g4 b a } | g4 f2 r4 | a1 | a1\fermata
}

NotenZink = \relative c' 
{
    % Hier die Zink-Noten
    R1 | r2 f\f | e1 | R1*2 | r2 f | g2. r4 | r2 a\mf |
    f4 r r2 r | d1\p | c4 r r2 r | e2 f | g4 r r2 r |
    a2\cresc h | c4 r r2 r | cis2 d e4 r r2 r | d1\mf |
    d4 cis d b a a | a2 a\mp | b4 a f g f e | d2 r | d1.~\mp | d2\breathe e |
    f1.~ | f2\breathe a | a1.~ | a2\breathe gis | a4 h a f e d |
    e2\breathe g | f1.~ | f2\breathe a | g4 e4 d e d b | a2 r |
    R1. | R1 | a'2-.--\mf a-.-- a-.-- | a-.-- a-.-- a-.-- | 
    a-.-- f-.-- e-.-- | f-.-- g-.-- f-.-- | a-.-- b-.-- g-.-- |
    a-.-- a-.-- h-.-- | b!-.-- a4 f e2-.-- | a-.-- r d\f |
    c4 h c a a g | f2 r a | b4 a f g f e | 
    d1\> r2\! | R1. | 
    \repeat unfold 6 { R1. R1 } \repeat unfold 4 { R1 }
    r2 a'\f a4 f g a~ | a2 f4 e | d1 | r2 a' |
    a4 g c as~ | as2 f4 g | a?1 | R1*8 | R1. | R1*5 |
    r2 f\mf | e2. r4 | R1 | r2 f | g2. r4 | r2 a |
    a4 f g a f e | d2 a' | a4 g c a f g | a2 a | c4 d f e d cis |
    d2 d | e4 d c h a gis | a2 d | c4 h c a a g | f2 a |
    b?4 a f g f2 e | d1 | r2 f | e2. r4 | r2 f | g2. r4 | a1 | a1\fermata
}

NotenGambe = \relative c' 
{
    % Hier die Gamben-Noten
    R1 | r2 d\f | c1 | R1*2 | r2 d | des2. r4 | r2 a\mf |
    d4 r r2 r2 | a1~\p | a4 r r2 r2 | cis2 d | e4 r r2 r2 |
    fis2\cresc g | e4 r r2 r2 | e2 g | g4 r r2 r2 | a1\mf |
    g4 e f d cis cis | d2 d\mp | d4 cis d d cis cis | d2 r | a1.~\mp | a2\breathe b |
    c1.~ | c2\breathe cis | d1.~ | d2\breathe e | e4 f e d c h |
    cis2\breathe d | c1.~ | c2\breathe cis | d4 c a b a g | fis2 r |
    R1. | R1 | f'2-.--\mf f-.-- f-.-- | f-.-- f-.-- f-.-- |
    f-.-- d-.-- cis-.-- | c!-.-- e-.-- d-.-- | es-.-- f-.-- e-.-- |
    f-.-- f-.-- f-.-- g-.-- f4 h, d2-.-- | e-.-- r r |
    a-.-- a-.-- a-.-- | f-.-- e-.-- f-.-- | f-.-- f-.-- g-.-- |
    f-.--\> f-.-- e-.-- | d1\! a2\mf | a4 f g a f e | d2 a' |
    a4 g c a f g | a2 a | c4 d f e d cis | d2 d | e4 d c h a gis | 
    a2 d | c4 h c a a g | f2 a | b4 a f g f e | d2 r | R1*4 |
    r2 a'\f | a4 c d cis~ | cis2 cis4 cis | c!1 | r2 a |
    d4 d e e~ | e2 es4 es | des1 | R1*4 | r2 d\p |
    e4 d c h | a2 gis | a h | c4 g8 f e4 f b c | d2 d, | g4 a b e, | a2 a, |
    d2. r4 | R1 | r2 d'\mf | c2. r4 | R1 | r2 d | des2. r4 | r2 a |
    d4 a b cis d a | a2 d | c4 c c a a d | cis2 d | e4 f f d a e' | 
    d2 h | c4 e e d c h | cis2 d | e4 d c c f e | d2 d |
    d4 cis d b a2 a | a1 | r2 d2 | c2. r4 | r2 d2 | des2. r4 | f1 | e\fermata
}

NotenPosaune = \relative c' 
{
    % Hier die Posaunen-Noten
    a1~\f | a~ | a | R1 | a~ | a~ | a2. r4 | a1~\mf |
    a4 r r2 r | f1~\p | f4 r r2 r | a2 a | g4 r r2 r | 
    d'2\cresc d | c4 r r2 r | cis2 d | e4 r r2 r | d1\mf |
    b4 a f e a g | f2 fis\mp | g4 a b e, a a | a,2 r | d1.~\mp | d2\breathe c |
    f1.~ | f2\breathe a | d,1.~ | d2\breathe e | a1.~ |
    a2\breathe g | f1.~ | f2\breathe e | d1.~ | d2 r |
    R1. | r2 a'\f | a4 f g a f e | d2 r a' | a4 g c a f g | a2 r b-.--\mf | c-.-- d-.-- a-.-- |
    c-.-- c-.-- d-.-- | d-.-- d4 d h2-.-- | c-.-- r r |
    e2-.-- e-.-- e-.-- | es-.-- c-.-- d-.-- d-.-- a-.-- e'-.-- d-.--\> f,-.-- a-.-- | d1\! r2 R1. R1
    R1. R1 R1. R1 R1. R1 R1. R1 R1. R1 R1
    R1*2 | r2 a\f | a1 | a4 a a a~ | a2 a4 a a1 | a | 
    b4 b b b~ | b2 des4 des | e?1 | a,\p | c2 d | f e | d cis | d1 |
    R1*3 R1. R1*4 |
    a1~ | a~ | a2. r4 | a1~ | a~ | a2. r4 | a1~ |
    a4 d g, a b a8 g | f2 a | f4 g a e f b | a2 a | g4 d' c b a a |
    a2 g | g4 h c f, e e | e2 g | g4 g g a f c'8 b | a2 a |
    g4 g f g g2 g | f1 | a1 | a2. r4 | a1 | a2. r4 | d1 | cis\fermata
}

NotenLaute = \relative c' 
{
    % Hier die Lauten-Noten
    R1 | r2 <d f a>\f | <c e g a>1 | R1*2 | r2 <d f a d> | <es g a des f>2. r4 | r2 <a, a'>\mf |
    <d f a>4 r r2 r | <d f a>\p <d f a> | <c f a>4 r r2 r | <cis e a>2 <d f a> | <c e g>4 r r2 r | 
    <d fis a>\cresc <d g h> | <e g c>4 r r2 r | <cis e a> <d g h> <e g c>4 r r2 r | <d f a>\mf  <d fis a> |
    <d g b>4 <cis e a> <d f b> <d e g b> <cis f a> <cis e g> | <d f a>2 r | R1. | R1 |
    << { \voiceOne a'4 f g a f e } \new Voice { \voiceTwo <d f>1.\mp } >> \oneVoice
    <d f b>2 <e g a c> |
    << { \voiceOne a4 g c a f g } \new Voice { \voiceTwo <f>1. } >> \oneVoice
    <c f a>2 <cis e a> |
    << { \voiceOne c'?4 d f e d cis } \new Voice { \voiceTwo <d, f a>1. } >> \oneVoice
    <d f a d>2 <e gis h d> |
    <a c e>4 <f h d> <e a c> <d f h> <c e a> <h d gis> |
    <cis e a>2 <g' h d> | 
    << { \voiceOne c4 h c a a g } \new Voice { \voiceTwo <f a>1. } >> \oneVoice
    <f a>2 <cis e a> |
    <d g b?>4 <c e a> <a d f> <b d e g> <a d f> <g b e> | <fis a d>2 r |
    R1. R1 | \tuplet 3/2 4 
    {
        a8\mf d f a, d f a, cis f a, cis f a, c f a, c f |
        a, h f' a, h f' a, c f a, c f a, cis f a, cis f |
        a, d f h, d f c d f c d f c e a c, e a |
        c, f a c, f a c, e g c, e g b, d f b, d f |
        c es f c es f d f b d, f b d, e! a cis, e a |
        d, f a d, f a c, f a c, f a h, f' g h, f' g |
        c, e g c, e g c, f a h, f' a h, e a h, e gis |
        c, e a c, e a d,f a d, f a d, e a d, e gis |
        c, e a h, e a c, e a c, e a c, e a c, e a | 
        c, es a c, es a c, e a c, e a d, f g d f g |
        b, d f b, d f a, d f a, d f a, cis f a, cis e |
        d\> f a d, f a d, f b d, f b cis, f a cis, e a | 
        d, f a d, f a
    }
    d2\! r2 \tag #'stimme { \pageBreak } | \repeat unfold 5 { R1. R1 }
    R1. R1 r2 
    <d, f a>\mp
    <d g b>4 <c e g> <c f a> <b d g> | <a d f>2 <a cis e a> | d1 | r2 a'\f |
    a4 <a, c f> <a b d g> <h cis e a>~ | <h cis e a>2 <h cis f a>4 <h cis e a> |
    <b! d f a>1 | r2 a' | <b, d f a>4 <b d f a> <e fis b c> <e fis b cis>~ | <e fis b c>2 <ces es f a>4 <ces es f a> | <b des e? a>1 |
    r2 <d? f a>\p | <c e g c> <d f b> | <d f a d> <cis e a> | <d f a> <cis e a> | <d fis a> r |
    R1*3 R1. R1*5 | r2 <d f a>2\mf | <c e g a>2. r4 | R1 | 
    r2 <d f a d> | <es g a des f>2. r4 | r2 <a, a'> |
    <d f a>4 <c d f a> <b d g> <a cis e a> <g d' g b> <a cis e g> | <a d f>2 <d f a> |
    <c f a>4 <c e g> <c f a> <cis e a> <d f a> <b d g> | <a cis e a>2 <d f a> |
    <c e g>4 <d f b> <c f a> <b d g> <a d f> <a cis e a> | <d fis a>2 <d g h> |
    <e g c>4 <e gis h> <c e a> <d f a h> <e a c> <e gis h> | <cis e a>2 <d g h>
    <e g c>4 <d g h> <e g c> <c f a> <b d f a> <c e g c> | <d f a>2 <d fis a> |
    <d g b>4 <cis e a> <b d f b> <b d e g> <a cis f a>2 <a cis e g> | <d f a>1 | 
    r2 <d f a> | <c e g a>2. r4 | r2 <d f a d> | <es g a des f>2. r4 | <d f a>1 | <a cis e a>\fermata
}

NotenColascione = \relative c, 
{
    % Hier die Colascione-Noten
    R1 | r2 d\f | e1  | R1*2 | r2 d | es2. r4 | r2 a\mf
    d,4 r r2 r | d2\p d | f4 r r2 r | a2 d | c4 r r2 r | 
    d,2\cresc g | c4 r r2 r | a2 h | c4 r r2 r | d,2\mf d'
    g,4 a b e, a a | d,2 r | \repeat unfold 8 { R1. R1 }
    d2\f d d | d d d |
    d c c c c c f b a |
    d, d' g, | c f,4 d e2 | a f4 d e2 |
    a g fis | f! fis g gis a a |
    d,\> b' a | d,1\! r2 R1. R1 |
    \repeat unfold 5 { R1. R1 } r2 d'\mp |
    g4 e f b, | a2 a | d1 | r2 a\f | a4 a b h~ | h2 h4 h | b!1 | r2 a |
    g4 g ges ges~ | ges2 ces4 ces | des1 | r2 d?\p | c b | a g | f e | d g |
    c4 d e f | e2 e, | a r | R1. | R1*5 |
    r2 d,\mf | e2. r4 | R1 | r2 d | es2. r4 | r2 a |
    d4 c b a g a | d,2 d'4 e | f c a cis d b | a2 d | c4 b f g a a |
    d2 g | c,4 e a d, e e | a,2 h | c4 g' e f b, c | d2 d |
    g,4 a b e a,2 a | d1 | r2 d, e2. r4 | r2 d es2. r4 | d'1 | a\fermata
}


NotenSopran = \relative c'' 
{
    % Hier die Sopran-Noten
    \dynamicUp
    r2 a2 | a1~ a | \PsCen R1 \PsNor | r2 a | a1~ | a2. \PsCen r4 | r2 \PsNor a |
    a4 f g a f e | d2 a' | a4 g c a f g | a2 a | c4 d f e d cis |
    d2 d | e4 d c h a gis | a2 d | c4 h c a a g | f2 a |
    b?4 a f g f e | d2 \PsCen r
    \repeat unfold 6 { R1. R1 } R1. r2 a'\mp |
    b4 a f g f e | d2 r | r r a'\mf | a4 f g a f e |
    d2 r a' | a4 g c a f g | a2 r a | 
    c4 d f e d cis | d2 r d | e4 d c h a gis |
    a2 r d | c4 h c a a g | f2 r a | 
    b4\> a f g f e | d1\! r2 | r4 d\p e f a b | a g a a |
    d2. c4 a b | c d c2 | r4 b\< a cis d e | fis\! e d d | c d e h\> c h |
    a2\! r4 g | g a8( h) c4 c d c8( b) | a2 a | b4 a f( g a) g | f2 e | d1 |
    R1*3 | r2 a'2\f | a4 f g a~ | a2 f4 e | d1 | r2 a' |
    a4 g c as~ | as2 f4 g | a?1 | r2 a\p | c d | f e | d cis | d r |
    R1*2 \PsNor | r2 d | c4 h c a a g | f2 a | b4 a f g | f2 e | 
    d2. r4 | r2 a' | a1~ | a2. \PsCen r4 \PsNor | r2 a | a1~ | a2. \PsCen r4 | r2 a |
    a4 f g a f e | d2 a' | a4 g c a f g | a2 a | c4 d f e d cis |
    d2 d | e4 d c h a gis | a2 d | c4 h c a a g | f2 a |
    b?4 a f g f2 e | d1 | r2 a' | a2. r4 | r2 a | a2. r4 | a1 | a1\fermata
}

NotenAlt = \relative c' 
{
    % Hier die Alt-Noten
    \dynamicDown
    R | r2 f | g1 | \PsCen R1 \PsNor R1 | r2 f | f2. \PsCen r4 | r2 \PsNor a |
    f4 d d e d cis | cis2 f4( g) | a e f e d e8( d) | e2 f | g4 b a g f8( g) a( g) |
    fis2 g | g4 gis a f e e | e2 g4( f) | e f g f d e | f2 fis |
    g4 e d d cis cis | d2 \PsCen r | 
    \repeat unfold 6 { R1. R1 } R1. r2 fis |
    d4 cis d d cis cis | a2 r | r r a' | a4 f g a f e |
    d2 r a' | a4 g c a f g | a2 r a | 
    c,4 d f e d cis | d2 r d | e4 d c h a gis |
    a2 r d | c4 h c a' a g | f2 r a | 
    b4 a f g f e | d1\! r2 | r4 d e f f g | a d, d d | 
    d2( e4) f f g | f e f2 | r4 g a a a a | a\! fis g f | e f g f e e |
    e2\! r4 d | e f g a f e | f2 fis | g4 e d( e f) g | f2 e | d1 |
    R1*3 r2 a'2 | a4 f d e~ | e2 cis4 cis | d1 | r2 a' |
    d,4 d as' as~ | as2 es4 es e!1 | r2 f | e f | a a | a a | fis r |
    R1*2 \PsNor R1 R1. R1 | \override MultiMeasureRest.staff-position = -6  R1*4 | \revert MultiMeasureRest.staff-position
    r2 f g2. \PsCen r4 \PsNor | R1 | r2 f | f2. \PsCen r4 | r2 a |
    f4 d d e d cis | d2 f4( g) a e f e d e8( d) | e2 f | g4 b a g f8( g) a( g) |
    fis2 g | g4 gis a f e e | e2 g4( f) | e f g f d e | f2 fis |
    g4 e d d cis2 cis | d1 | r2 f | g2. r4 | r2 f | f2. r4 | f1 | e1\fermata
}

NotenTenor = \relative c' 
{
    % Hier die Tenor-Noten
    \dynamicUp
    R1 r2 d d1 | R1*2 | r2 d | des2. r4 | r2 a |
    d4 a b cis d a | a2 d | c4 c c a a d | cis2 d | e4 f f d a e' | 
    d2 h | c4 e e d c h | cis2 d | e4 d c c f e | d2 d |
    d4 cis d b a a | a2 r | R1. | r2 a2 a4 f g a f e | d2 a' | 
    a4 g c a f g | a2 a | c4 d f e d cis | d2 d | e4 d c h a gis | 
    a2 d | c4 h c a a g | f2 a | b?4 a f g f e | d2 r |
    R1. R1 | r2 r a'\mf | a4 f g a f e |
    d2 r a' | a4 g c a f g | a2 r a | 
    c4 d f e d cis | d2 r d | e4 d c h a gis |
    a2 r d | c4 h c a a g | f2 r a | 
    b4\> a f g f e | d1\! r2 | r4 d'\p d d d e | f b, a a |
    d2( c4) c c d | c g c2 | r4 d\< d e f e | d\! d d d | c h e d\> c d |
    cis2\! r4 d | c? h c f d g, | a2 d | d4 cis d( c8 b a4) d | d2 cis | d1 |
    R1*3 | r2 a\f | a4 d a cis~ | cis2 a4 a | a1 | r2 a |
    b4 b e e~ | e2 a,?4 a | b1 | R1*4 | r2 d\p | e4 d c h | a2 gis | a r | R1. | R1*5 |
    r2 d | d2. r4 R1 | r2 d | des2. r4 | r2 a |
    d4 a b cis d a | a2 d | c4 c c a a d | cis2 d | e4 f f d a e' |
    d2 h | c4 e e d c h | cis2 d | e4 d c c f e | d2 d |
    d4 cis d b a2 a | a1 | r2 d | d2. r4 r2 d | des2. r4 | d!1 cis\fermata
}

NotenBariton = \relative c' 
{
    % Hier die Bariton-Noten
    \dynamicUp
    r2 a | a1~ | a | \PsCen R1 \PsNor | r2 a | a1~ | a2. \PsCen r4 | r2 \PsNor a |
    a4 d g, a b a8( g) | f2 a | f4 g a e f b | a2 a | g4 d' c b a a |
    a2 g | g4 h c f, e e | e2 g | g4 g g a f c'8( b) | a2 a |
    g4 g f g g g | f2 \PsCen r | \repeat unfold 6 { R1. R1 } R1. r2 a\mp |
    g4 g f g g g f2 r | r2 r a\mf | a4 f g a f e |
    d2 r a' | a4 g c a f g | a2 r a, | 
    c4 d f e d cis | d2 r d | e4 d c h a gis |
    a2 r d | c4 h c a' a g | f2 r a | 
    b4\> a f g f e | d1\! r2 | r4 d'\p d d d c | c g a f |
    a b c2. b4 | a c f,2 | r4 b\< f g a a | a\! a g g | g d' g, gis\> a gis |
    a2\! r4 g g g g a b c | d2 a | g4 g f( c'2) b4 | a2 a | d,1 |
    R1*3 | r2 a'\f | a4 c f, f~ | f2 f4 f | f1 | r2 a |
    f4 f b b~ | b2 ges4 ges | g!1 | R1*4 | r2 h\p |
    c4 h g f | e2 e | a r | R1. | R1*4 \PsNor | 
    r2 a | a1~ | a2. \PsCen r4 \PsNor | r2 a | a1~ | a2. \PsCen r4 | r2 a |
    a4 d g, a b a8( g) | f2 a | f4 g a e f b | a2 a | g4 d' c b a a | 
    a2 g | g4 h c f, e e | e2 g | g4 g g a f c'8( b) | a2 a |
    g4 g f g g2 g | f1 | r2 a | a2. r4 | r2 a | a2. r4 | a1 | a1\fermata
}

NotenBass = \relative c 
{
    %Hier die Bass-Noten
    \dynamicUp
    R1 | r2 d | e1 | \PsCen R1 \PsNor R1 | r2 d | es2. r4 | r2 a
    d,4 c b a g a | d2 d4( e) | f c a cis d b | a2 d | c4 b f g a a |
    d2 g | c,4 e a d, e e | a,2 h | c4 g' e f b, c | d2 d |
    g,4 a b e a, a | d2 \PsCen r \repeat unfold 6 { R1. R1 } R1. r2 d |
    g,4 a b e a, a d2 r | r2 r a' | a4 f g a f e |
    d2 r a' | a4 g c a f g | a2 r a, | 
    c4 d f e d cis | d2 r d | e4 d c h a gis |
    a2 r d | c4 h c a' a g | f2 r a | 
    b4 a f g f e | d1\! r2 | r4 d' d d c g | f e d f |
    fis g a2. g4 | c, b a2 | r4 g' f e d cis | c!\! c h h | c c c d e e |
    a,2\! r4 h | c f e f b, c | d2 d | g,4 a b( a8 g f4) g | a2 a | d1 |
    R1*3 | r2 a'2 | a,4 a b h~ | h2 h4 h | b!1 | r2 a |
    g4 g ges ges~ | ges2 ces4 ces | des1 | R1*4 | r2 g |
    g4 f e d | c2 h | a r | R1. R1*4 \PsNor R1 |
    r2 d | e2. \PsCen r4 \PsNor | R1 | r2 d | es2. \PsCen r4 | r2 a |
    d,4 c b a g a | d2 d4( e) | f c a cis d b | a2 d | c4 b f g a a |
    d2 g | c,4 e a d, e e | a,2 h | c4 g' e f b, c | d2 d |
    g,4 a b e a,2 a | d1 | r2 d | e2. r4 | r2 d | es2. r4 | d1 | a\fermata
}


% ---------------------
% Text-----------------
% Achtung: Hier nur----
% 1 Strophe; weitere---
% in "score" nicht-----
% vergessen!-----------
% ---------------------

TextSopran = \lyricmode 
{
    %Hier Text für Sopran
    \set stanza = \markup { \dynamic f }
    Va -- ter, Va -- ter,
    
    \repeat unfold  176 { \skip 1 }
    
    Be -- scher uns auch ein se -- ligs End,
    nimm uns -- re Seel in dei -- ne Händ.
    \set stanza = \markup { \dynamic mf }
    A -- men, a -- men.
    
    
}


TextAlt = \new Lyrics 
{
    \lyricmode 
    {
        %Hier Text für Alt
        \set stanza = \markup { \dynamic f }
        Va -- ter, Va -- ter,
        
        \set stanza = \markup { \dynamic mf \normal-text 1. }
        Va -- ter un -- ser im Him -- mel -- reich,
        der du uns al -- le hei -- ßest gleich
        Brü -- der sein und dich ru -- fen an
        und willst das Be -- ten von uns han:
        gib, dass nicht bet' al -- lein der Mund,
        hilf, dass es geh' von Her -- zens -- grund.
        
        das arm ver -- füh -- ret Volk be -- kehr.
        
        \set stanza = #"4. "
        Dein Will ge -- scheh, Herr Gott, zu -- gleich
        auf Er -- den wie im Him -- mel -- reich.
        Gib uns Ge -- duld in Lei -- dens -- zeit,
        ge -- hor -- sam sein in Lieb und Leid;
        wehr und steu'r al -- lem Fleisch und Blut,
        das wi -- der dei -- nen Wil -- len tut.
        
        \set stanza = #"6. "
        All uns -- re Schuld ver -- gib uns, Herr,
        dass sie uns nicht be -- trü -- be mehr,
        wie wir auch un -- sern Schul -- di -- gern
        ihr Schuld und Fehl ver -- ge -- ben gern.
        Zu die -- nen mach uns all be -- reit
        in rech -- ter Lieb und Ei -- nig -- keit.
        
        \set stanza = #"8. "
        Von al -- lem Ü -- bel uns er -- lös,
        es sind die Zeit und Ta -- ge bös.
        Er -- lö -- se uns vom ew -- gen Tod,
        \set stanza = \markup { \dynamic mf }
        A -- men, a -- men.
        
        \set stanza = #"9. "
        A -- men, das ist: es wer -- de wahr.
        Stärk un -- sern Glau -- ben im -- mer -- dar,
        auf dass wir ja nicht zwei -- feln dran,
        was wir hier -- mit ge -- be -- ten han
        auf dein Wort, in dem Na -- men dein,
        so spre -- chen wir das A -- men fein.
        
        A -- men, a -- men, a -- men.
    }
}

TextTenor = \new Lyrics 
{
    \lyricmode 
    {
        %Hier Text für Tenor
        \set stanza = \markup { \dynamic f }
        Va -- ter, Va -- ter,
        
        \set stanza = \markup { \dynamic mf \normal-text 1. }
        Va -- ter un -- ser im Him -- mel -- reich,
        der du uns al -- le hei -- ßest gleich
        Brü -- der sein und dich ru -- fen an
        und willst das Be -- ten von uns han:
        gib, dass nicht bet' al -- lein der Mund,
        hilf, dass es geh' von Her -- zens -- grund.
        
        \set stanza = #"2. "
        Ge -- hei -- ligt werd der Na -- me dein,
        dein Wort bei uns hilf hal -- ten rein,
        dass auch wir le -- ben hei -- lig -- lich,
        nach dei -- nem Na -- men wür -- dig -- lich.
        Be -- hüt uns, Herr, vor fal -- scher Lehr,
        das arm ver -- füh -- ret Volk be -- kehr.
        
        \set stanza = #"4. "
        Dein Will ge -- scheh, Herr Gott, zu -- gleich
        auf Er -- den wie im Him -- mel -- reich.
        Gib uns Ge -- duld in Lei -- dens -- zeit,
        ge -- hor -- sam sein in Lieb und Leid;
        wehr und steu'r al -- lem Fleisch und Blut,
        das wi -- der dei -- nen Wil -- len tut.
        
        \set stanza = #"6. "
        All uns -- re Schuld ver -- gib uns, Herr,
        dass sie uns nicht be -- trü -- be mehr,
        wie wir auch un -- sern Schul -- di -- gern
        ihr Schuld und Fehl ver -- ge -- ben gern.
        Zu die -- nen mach uns all be -- reit
        in rech -- ter Lieb und Ei -- nig -- keit.
        
        \set stanza = #"8. "
        Von al -- lem Ü -- bel uns er -- lös,
        es sind die Zeit und Ta -- ge bös.
        
        und tröst uns in der letz -- ten Not.
        \set stanza = \markup { \dynamic mf }
        A -- men, a -- men.
        
        \set stanza = #"9. "
        A -- men, das ist: es wer -- de wahr.
        Stärk un -- sern Glau -- ben im -- mer -- dar,
        auf dass wir ja nicht zwei -- feln dran,
        was wir hier -- mit ge -- be -- ten han
        auf dein Wort, in dem Na -- men dein,
        so spre -- chen wir das A -- men fein.
        
        A -- men, a -- men, a -- men.
    }
}

TextBariton = \lyricmode 
    {
        %Hier Text für Bariton
        \set stanza = \markup { \dynamic f }
        Va -- ter, Va -- ter,
        
        \repeat unfold 176 { \skip 1 }
        \set stanza = \markup { \dynamic mf }
        A -- men, a -- men.
        
    }


TextBass = \new Lyrics 
{
    \lyricmode 
    {
        %Hier Text für Bass
        \set stanza = \markup { \dynamic f }
        Va -- ter, Va -- ter,
        
        \set stanza = \markup { \dynamic mf \normal-text 1. }
        Va -- ter un -- ser im Him -- mel -- reich,
        der du uns al -- le hei -- ßest gleich
        Brü -- der sein und dich ru -- fen an
        und willst das Be -- ten von uns han:
        gib, dass nicht bet' al -- lein der Mund,
        hilf, dass es geh' von Her -- zens -- grund.
        
        das arm ver -- füh -- ret Volk be -- kehr.
        
        \set stanza = #"4. "
        Dein Will ge -- scheh, Herr Gott, zu -- gleich
        auf Er -- den wie im Him -- mel -- reich.
        Gib uns Ge -- duld in Lei -- dens -- zeit,
        ge -- hor -- sam sein in Lieb und Leid;
        wehr und steu'r al -- lem Fleisch und Blut,
        das wi -- der dei -- nen Wil -- len tut.
        
        \set stanza = #"6. "
        All uns -- re Schuld ver -- gib uns, Herr,
        dass sie uns nicht be -- trü -- be mehr,
        wie wir auch un -- sern Schul -- di -- gern
        ihr Schuld und Fehl ver -- ge -- ben gern.
        Zu die -- nen mach uns all be -- reit
        in rech -- ter Lieb und Ei -- nig -- keit.
        
        \set stanza = #"8. "
        Von al -- lem Ü -- bel uns er -- lös,
        es sind die Zeit und Ta -- ge bös.
        
        und tröst uns in der letz -- ten Not.
        \set stanza = \markup { \dynamic mf }
        A -- men, a -- men.
        
        \set stanza = #"9. "
        A -- men, das ist: es wer -- de wahr.
        Stärk un -- sern Glau -- ben im -- mer -- dar,
        auf dass wir ja nicht zwei -- feln dran,
        was wir hier -- mit ge -- be -- ten han
        auf dein Wort, in dem Na -- men dein,
        so spre -- chen wir das A -- men fein.
        
        A -- men, a -- men, a -- men.

    }
}


% ----------------------------------
% ----------SCORE-------------------
% ----------------------------------

#(set-global-staff-size SizePartitur)


\book 
{
    \bookOutputSuffix "_partitur"
    \bookpart 
    {
        \score 
        {
            \transpose d \TransposeFromD 
            {
                <<
                    
                    %%{
                    
                    \new StaffGroup 
                    <<
                        \override StaffGroup.SystemStartBracket.collapse-height = #0
                        \override Score.SystemStartBar.collapse-height = #0
                        
                        \new Staff = StaffFlöte \with { \consists "Bar_number_engraver" }
                        <<
                            {
                                \globalMarks
                            }
                            {
                                \set Staff.instrumentName = "Flöte"
                                \set Staff.shortInstrumentName = "Fl"
                                \new Voice = "Flöte"
                                \global
                                \removeWithTag #'stimme 
                                {
                                    \killCues 
                                    {
                                        \KeyFl
                                        \NotenFlöte
                                    }
                                }
                            }
                        >>
                        \new Staff = StaffZink 
                        <<
                            {
                                \set Staff.instrumentName = "Zink"
                                \set Staff.shortInstrumentName = "Zn"
                                \new Voice = "Zink"
                                \global
                                \removeWithTag #'stimme 
                                {
                                    \killCues 
                                    {
                                        \KeyZn
                                        \NotenZink
                                    }
                                }
                            }
                        >>
                        \new Staff = StaffGambe 
                        <<
                            {
                                \set Staff.instrumentName = \markup { \right-column { "Viola da" "Gamba" } }
                                \set Staff.shortInstrumentName = "VdG"
                                \new Voice = "Gambe"
                                \global
                                \removeWithTag #'stimme 
                                {
                                    \killCues 
                                    {
                                        \KeyVdG
                                        \NotenGambe
                                    }
                                }
                            }
                        >>
                        \new Staff = StaffPosaune 
                        <<
                            {
                                \set Staff.instrumentName = "Posaune"
                                \set Staff.shortInstrumentName = "Pos"
                                \new Voice = "Posaune"
                                \global
                                \removeWithTag #'stimme 
                                {
                                    \killCues 
                                    {
                                        \KeyPos
                                        \NotenPosaune
                                    }
                                }
                            }
                        >>
                        \new Staff = StaffLaute 
                        <<
                            {
                                \set Staff.instrumentName = "Laute"
                                \set Staff.shortInstrumentName = "Lt"
                                \new Voice = "Laute"
                                \global
                                \removeWithTag #'stimme 
                                {
                                    \killCues 
                                    {
                                        \KeyLt
                                        \NotenLaute
                                    }
                                }
                            }
                        >>
                        \new Staff = StaffColascione 
                        <<
                            {
                                \set Staff.instrumentName = "Colascione"
                                \set Staff.shortInstrumentName = "Col"
                                \new Voice = "Colascione"
                                \global
                                \removeWithTag #'stimme 
                                {
                                    \killCues 
                                    {
                                        \KeyCol
                                        \NotenColascione
                                    }
                                }
                            }
                        >>
                    >>

                    %%}

                    \new ChoirStaff 
                    <<
                        \override ChoirStaff.SystemStartBracket.collapse-height = #0
                        \override Score.SystemStartBar.collapse-height = #0
                        
                        \new Staff = StaffSopran \with {
                            \override RestCollision.positioning-done = #merge-rests-on-positioning
                            \override LyricText.script-priority = #-100
                            \consists "Bar_number_engraver"
                        }
                        <<
                            {
                                \globalMarks
                            }
                            {
                                \set Staff.instrumentName = \markup 
                                { 
                                    \right-column 
                                    {
                                        Sopran 
                                        Alt 
                                    }
                                }
                                \set Staff.shortInstrumentName = "S/A"
                                \new Voice = "Sopran" 
                                \voiceOne
                                \global
                                \KeySA
                                \NotenSopran
                            }
                            \new Lyrics \with { alignAboveContext = "StaffSopran" }
                            {
                                \lyricsto "Sopran" \TextSopran
                            }
                            {
                                \new Voice = "Alt"
                                \voiceTwo
                                \global
                                \NotenAlt
                            }
                            \lyricsto "Alt" \TextAlt
                        >>
                        \new Staff = StaffTenor 
                        <<
                            {
                                \set Staff.instrumentName = "Tenor"
                                \set Staff.shortInstrumentName = "T"
                                \new Voice = "Tenor"
                                \global
                                \KeyTenor
                                \NotenTenor
                            }
                            \lyricsto "Tenor" \TextTenor
                        >>
                        \new Staff = StaffBariton \with {
                            \override RestCollision.positioning-done = #merge-rests-on-positioning
                        }
                        <<
                            {
                                \set Staff.instrumentName = \markup 
                                { 
                                    \right-column 
                                    {
                                        Bariton
                                        Bass
                                    }
                                }
                                \set Staff.shortInstrumentName = "Bar/B"
                                \new Voice = "Bariton"
                                \voiceOne
                                \global
                                \KeyBarB
                                \NotenBariton
                            }
                            \new Lyrics \with { alignAboveContext = "StaffBariton" }
                            {
                                \lyricsto "Bariton" \TextBariton
                            }
                            {
                                \new Voice = "Bass" 
                                \voiceTwo
                                \global
                                \KeyBarB
                                \NotenBass
                            }
                            \lyricsto "Bass" \TextBass
                        >>
                    >>
                >>
            }
            \layout 
            {
                \context 
                {
                    \Score
                    \remove "Bar_number_engraver"
                }
                
                \context 
                {
                    \Staff 
                    \RemoveEmptyStaves
                    \override BarNumber.break-align-symbols = #'(clef)
                }
                \context 
                {
                    \Lyrics
                    \override VerticalAxisGroup.staff-affinity = #0
                }
            }
        }
        \paper 
        {
            system-separator-markup = \slashSeparator
        }
    }
}

%%{
% STIMMEN 
#(set-global-staff-size SizeStimmen)

\book {
    \bookOutputSuffix "_stimme_floete"
    \bookpart {
        \score {
            \new Staff = StaffFloete << 
                { \globalMarks }
                {
                    \compressFullBarRests
                    \new Voice = "Flöte"
                    \global
                    \KeyFl
                    \NotenFlöte
                }
            >>
        }
        \header { subtitle = "- Flöte -" }
    } 
}


\book {
    \bookOutputSuffix "_stimme_zink"
    \bookpart {
        \score {
            \new Staff = StaffZink << 
                { \globalMarks }
                {
                    \compressFullBarRests
                    \new Voice = "Zink"
                    \global
                    \KeyZn
                    \NotenZink
                }
            >>
        }
        \header { subtitle = "- Zink -" }
    } 
}


\book {
    \bookOutputSuffix "_stimme_gambe"
    \bookpart {
        \score {
            \new Staff = StaffGambe << 
                { \globalMarks }
                {
                    \compressFullBarRests
                    \new Voice = "Gambe"
                    \global
                    \KeyVdG
                    \NotenGambe
                }
            >>
        }
        \header { subtitle = "- Viola da Gamba -" }
    } 
}


\book {
    \bookOutputSuffix "_stimme_posaune"
    \bookpart {
        \score {
            \new Staff = StaffPosaune << 
                { \globalMarks }
                {
                    \compressFullBarRests
                    \new Voice = "Posaune"
                    \global
                    \KeyPos
                    \NotenPosaune
                }
            >>
        }
        \header { subtitle = "- Posaune -" }
    } 
}


\book {
    \bookOutputSuffix "_stimme_laute"
    \bookpart {
        \score {
            \new Staff = StaffLaute << 
                { \globalMarks }
                {
                    \compressFullBarRests
                    \new Voice = "Laute"
                    \global
                    \KeyLt
                    \NotenLaute
                }
            >>
        }
        \header { subtitle = "- Laute -" }
    } 
}


\book {
    \bookOutputSuffix "_stimme_colascione"
    \bookpart {
        \score {
            \new Staff = StaffColl << 
                { \globalMarks }
                {
                    \compressFullBarRests
                    \new Voice = "Colascione"
                    \global
                    \KeyCol
                    \NotenColascione
                }
            >>
        }
        \header { subtitle = "- Colascione -" }
    } 
}
%%}